import React, { ElementType } from 'react';
export interface TypographyProps {
    variant?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'subtitle1' | 'subtitle2' | 'body1' | 'body2' | 'body3' | 'body4' | 'body5' | 'ButtonXL' | 'ButtonLarge' | 'ButtonMedium' | 'ButtonSmall' | 'ButtonExtrasmall' | 'MenuItemLarge' | 'MenuItemMedium' | 'MenuItemSmall' | 'InputTextXL' | 'InputTextLarge' | 'InputTextMedium' | 'InputTextSmall' | 'InputLableXL' | 'InputLableLarge' | 'InputLableMedium' | 'InputLableSmall' | 'Tooltip';
    children: React.ReactNode;
    color: string;
    component?: ElementType;
}
declare const Typography: React.FC<TypographyProps & any>;
export default Typography;
