import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
interface IInputPasswordProp {
    errorText: string;
    sucessText: string;
    helperText: string;
    value: string;
    onChange: React.ChangeEventHandler<HTMLInputElement>;
    onClick: React.MouseEventHandler<HTMLInputElement>;
    placeholder: string;
    error: boolean;
    sucess: boolean;
    size: sizeType;
    label: string;
    image: React.ReactNode;
    imageStart: React.ReactNode;
    inputRef: React.Ref<any>;
    modeProp: modeType;
}
export declare type IInput = Partial<IInputPasswordProp & Omit<ComponentProps<'input'>, keyof IInputPasswordProp>>;
declare const InputPassword: React.FC<IInput>;
export default InputPassword;
