import { FC } from 'react';
import { IInput } from './InputText';
import { IInputTextarea } from './TextArea';
import { IInputNumber } from './InputNumber';
import { IInput as IInputProp } from './InputPassword';
declare type IInpytNumber = IInputNumber & {
    type?: 'number';
};
declare type IInpytTextArea = IInputTextarea & {
    type?: 'textarea';
};
declare type IInpytText = IInput & {
    type?: 'text';
};
declare type IInpytPassword = IInputProp & {
    type?: 'password';
};
declare const InputWrapper: FC<IInpytNumber | IInpytTextArea | IInpytText | IInpytPassword>;
export default InputWrapper;
