import { ComponentProps, FC } from 'react';
import { modeType } from '../../utils/componentPropsTypes';
interface ILoaderCircularProps {
    modeProp: modeType;
    color: 'red' | 'blue';
}
export declare type ILoaderCircular = Partial<ILoaderCircularProps & Omit<ComponentProps<'div'>, keyof ILoaderCircularProps>>;
declare const LoaderCircular: FC<ILoaderCircular>;
export default LoaderCircular;
