import { ComponentProps, FC } from 'react';
import { modeType } from '../../utils/componentPropsTypes';
interface ILoaderLinearProps {
    modeProp: modeType;
    width: number | 'fill';
    value: number;
}
export declare type ILoaderLinear = Partial<ILoaderLinearProps & Omit<ComponentProps<'div'>, keyof ILoaderLinearProps>>;
declare const LoaderLinear: FC<ILoaderLinear>;
export default LoaderLinear;
